//
//  KBSkinSectionTitleCell.m
//  keyBoard
//
//  Created by Mac on 2025/11/8.
//

#import "KBSkinSectionTitleCell.h"

@implementation KBSkinSectionTitleCell
- (instancetype)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        self.contentView.backgroundColor = [UIColor whiteColor];
        [self.contentView addSubview:self.titleLabel];
        [self.titleLabel mas_makeConstraints:^(MASConstraintMaker *make) {
            make.left.equalTo(self.contentView).offset(16);
            make.centerY.equalTo(self.contentView);
        }];
    }
    return self;
}

- (void)config:(NSString *)title {
    self.titleLabel.text = title ?: @"Recommended Skin";
}

- (UILabel *)titleLabel {
    if (!_titleLabel) {
        _titleLabel = [UILabel new];
        _titleLabel.textColor = [UIColor colorWithHex:0x1B1F1A];
        _titleLabel.font = [UIFont systemFontOfSize:18 weight:UIFontWeightSemibold];
        _titleLabel.text = @"Recommended Skin";
    }
    return _titleLabel;
}
@end
